#include <stdbool.h>
int dernierJour0(int mm)
{
  int rs;
  switch(mm)
  {
    case 1:
    case 3:
    case 5:
    case 7:
    case 8:
    case 10:
    case 12:
      rs = 31;
      break;
    case 4:
    case 6:
    case 9:
    case 11:
      rs = 30;
      break;
    case 2:
      rs = 28;
      break;
    default:
      rs = 0;
  }
  return rs;
}

bool divisible(int n,int p)
{
  return n%p == 0;
}

bool bissextile(int an)
{
  return (divisible(an,4) && !divisible(an,100)) || divisible(an,400);
}

int dernierJour(int mm, int an)
{
  int rs;
  switch(mm)
  {
    case 1:
    case 3:
    case 5:
    case 7:
    case 8:
    case 10:
    case 12:
      rs = 31;
      break;
    case 4:
    case 6:
    case 9:
    case 11:
      rs = 30;
      break;
    case 2:
      rs = (bissextile(an) ? 29 : 28);
      break;
    default:
      rs = 0;
  }
  return rs;
}

bool datum(int jr,int mm,int an)
{
  return (an>=0) && ((1<=mm) && (mm<=12)) && ((1<=jr) && (jr<=dernierJour(mm,an)));
}
